<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/25/2004 *
 * ================                             Last change: 02/25/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-repair_gmenu.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Repair guest menu weight                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Menuegewichtigung reparieren                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

$ACTIONS = array();
// First fix all main menus (what="")...
$result_fix = SQL_QUERY("SELECT id, action FROM `{!_MYSQL_PREFIX!}_guest_menu` WHERE (what='' OR `what` IS NULL) AND action != 'logout' ORDER BY `sort` ASC", __FILE__, __LINE__);
$cnt = 0; $REP = 0;
while ($content = SQL_FETCHARRAY($result_fix)) {
	// Store act value for later usage in sorting sub menus
	$ACTIONS[] = $content['action'];

	// Fix weight
	$result_sort = SQL_QUERY("UPDATE `{!_MYSQL_PREFIX!}_guest_menu` SET sort='".$cnt."' WHERE id='".$content['id']."' LIMIT 1", __FILE__, __LINE__);
	$REP += SQL_AFFECTEDROWS();

	// Count one up
	$cnt++;
}
// Set logout weight to 999
$result_sort = SQL_QUERY("UPDATE `{!_MYSQL_PREFIX!}_guest_menu` SET sort='999' WHERE `action`='logout' AND (what='' OR `what` IS NULL) LIMIT 1", __FILE__, __LINE__);

// Now sort every each menu
foreach ($ACTIONS as $act) {
	$result_fix = SQL_QUERY_ESC("SELECT id FROM `{!_MYSQL_PREFIX!}_guest_menu` WHERE `action`='%s' AND `what` != '' AND `what` IS NOT NULL ORDER BY `sort`",
		array($act), __FILE__, __LINE__);
	$cnt = 1;
	while ($content = SQL_FETCHARRAY($result_fix)) {
		// Fix weight
		SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_guest_menu` SET sort=%s WHERE id=%s LIMIT 1",
			array($cnt, $content['id']), __FILE__, __LINE__);
		$REP += SQL_AFFECTEDROWS();

		// Count one up
		$cnt++;
	}
}

// Repair finished
if ($REP > 0) {
	$message = sprintf(getMessage('ADMIN_REPAIR_ENTRIES_FIXED'), $REP);
} else {
	$message = getMessage('ADMIN_REPAIR_NOTHING_FIXED');
}

// Output message
LOAD_TEMPLATE("admin_settings_saved", false, $message);

//
?>
